Page MenuHomePhabricator

We don't want MediaInfo content to show up on wikis sharing Commons files
Closed, ResolvedPublic

Description

We have this
Given a filename exists on commons, but doesn't on another wiki website, one can visit that filename on the other website and it'll load the version from Commons.
E.g. https://en.wikipedia.org/wiki/File:2019-01-13_Commons_Structured_data_captions.png is actually https://commons.wikimedia.org/wiki/File:2019-01-13_Commons_Structured_data_captions.png

This currently includes MediaInfo content, but since MediaInfo is not installed on those wikis, it doesn't have any of the styling, the tabs, the interactivity, ...

We want this

We don't want MediaInfo content to show up on any other wiki than Commons.

Acceptance Criteria

Example: https://en.wikipedia.org/wiki/File:2019-01-13_Commons_Structured_data_captions.png

  • MediaInfo content (captions and statements) should not be shown on non-Commons pages that include a file from Commons.

Event Timeline

Change 504296 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Don't show MediaInfo content unless MediaInfo is installed

https://gerrit.wikimedia.org/r/504296

Ha78na added a subscriber: Ha78na.Apr 16 2019, 6:55 PM

Seem blocked by failures due to T221111

Change 504296 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Don't show MediaInfo content unless MediaInfo is installed

https://gerrit.wikimedia.org/r/504296

This is merged now but seems like we can't really verify/qa till this ships to prod

Change 504573 had a related patch set uploaded (by Jforrester; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.34.0-wmf.1] Don't show MediaInfo content unless MediaInfo is installed

https://gerrit.wikimedia.org/r/504573

Change 504573 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.34.0-wmf.1] Don't show MediaInfo content unless MediaInfo is installed

https://gerrit.wikimedia.org/r/504573

Mentioned in SAL (#wikimedia-operations) [2019-04-17T16:47:40Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.1/extensions/WikibaseMediaInfo/: SDC: Various fixes T218922 T221071 T221110 T221123 (duration: 01m 02s)

Ramsey-WMF closed this task as Resolved.Apr 25 2019, 1:52 AM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Works on prod.